/*
Theme Name:   Firetech
Theme URI:    http://alessioangeloro.it
Description:  Firetech - Child of Generate Press
Author:       Alessio Angeloro
Author URI:   http://alessioangeloro.it
Template:     generatepress
Version:      2.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  generatepress
*/
:root{
    --color-red: #f0454d;
    --border-grey: 1px solid #d0d5dd;
    --border-radius: 4px;
}
/*tipography**********************/
h2{
    font-size: 2.1rem !important;
    font-weight: 700 !important;
    line-height: 1.1em !important;
}
.box-shadow{
  border-radius: 4px;
  box-shadow: 0px 7px 14px 0px rgba(59, 65.00000000000004, 94, 0.1);
}
/*menu and logo**********************/
.site-header{
    border-bottom: var(--border-grey);
}
.inside-header {
    padding: 20px 20px 20px 20px;
}
.main-nav a:hover, .main-nav .current-menu-item a {
    background: var(--color-red);
    border-radius: var(--border-radius);
    -moz-border-radius: var(--border-radius);
    -webkit-border-radius: var(--border-radius);
}
.main-navigation .main-nav ul li[class*="current-menu-"] > a{
    background: var(--color-red);
    border-radius: var(--border-radius);
    -moz-border-radius: var(--border-radius);
    -webkit-border-radius: var(--border-radius);
}
.main-navigation .main-nav ul li a {
    margin: 0px 5px 0px 5px;
}
.sticky-navigation-transition .is-logo-image {
    width: 150px;
    height: auto !important;
}
.main-navigation.sticky-navigation-transition .main-nav > ul > li > a, .sticky-navigation-transition .menu-toggle, .main-navigation.sticky-navigation-transition .menu-bar-item > a, .sticky-navigation-transition .navigation-branding .main-title {
    line-height: 40px !important;
}
.secondary-navigation .main-nav ul li[class*="current-menu-"] > a{
    background-color: unset !important;
}
/*home**********************/
.home .swiper-slide-inner {
    padding: 40px 40px 40px 25px !important;
}
.home .swiper-slide-bg {
  background-repeat: no-repeat !important;
  background-size: contain !important;
  background-position: right center !important;
}
@media (max-width: 767px) {
  .home .swiper-slide-bg {
    background-size: 55% !important;
    background-position: right center !important;
  }
}
.home .swiper-slide-contents .elementor-button{
    color: #ffffff !important;
    background: #f0454d !important;
    border: 1px solid #f0454d !important;
    font-weight: 700;
    cursor: pointer;
}
.home .swiper-slide-contents .elementor-button:hover{
    color: #ffffff !important;
    background: #222222 !important;
    border: 1px solid #222222 !important;
    font-weight: 700;
}
.btn-full-width .elementor-button {
    width: 100% !important;
}
/*content**********************/
body:not(.home) #main {
    -webkit-border-radius: var(--border-radius) !important;
    -moz-border-radius: var(--border-radius) !important;
    border-radius: var(--border-radius) !important;
    border: var(--border-grey);
    background: #ffffff !important;
    padding: 30px !important;
}
body:not(.home) .full-width-content .container.grid-container,.product {
    margin-top: 30px;
}
.full-width-content .container.grid-container {
    padding: 0px;
}
.elementor-post__read-more-wrapper {
    background: #232323;
    border-radius: 4px !important;
    padding: 10px 10px 10px 10px;
    width: fit-content;
    margin-top: 10px !important;
}
.elementor-post__read-more-wrapper:hover {
    background: #3F4047;
}
.wp-singular h1{
    font-size: 2.5rem !important;
    font-weight: 500 !important;
}
.wp-singular h2,.wp-singular h3,.wp-singular h4{
    font-weight: 500 !important;
}
/*partner**********************/
#partner img{
    border-radius: 4px;
    border:1px solid #d0d5dd !important;
    padding: 5px;
    height: 60px;
}
/*login************************/
.page-id-1850 #main {
    -webkit-border-radius: unset !important;
    -moz-border-radius: unset !important;
    border-radius: unset !important;
    border: unset !important;
    background: #ffffff !important;
    padding: 0px !important;
}
.page-id-1850 .inside-article{
    padding: 0px !important;
    background: #f7f8f9 !important;
}
/*woocommerce**********************/
/*product slider*/
.gswps-product-box {
    height: 450px !important;
}
.gs_wps_title:hover{
    color: #f0454d !important;
}
.woocommerce ul.products li.product .button {
    width: 100%;
}
.woocommerce .products ul li, .woocommerce ul.products li {
    padding: 20px !important;
}
.archive ul.products li.product {
    height: 500px !important;
}
.archive ul.products li.product {
	display: flex !important;
	flex-direction: column !important;
	justify-content: space-between !important;
	height: 100% !important;
}
.archive  ul.products li.product > a.button.product_type_simple {
	margin-top: auto !important;
}
.archive .woocommerce ul.products li.product a img{
    height: 225px !important;
}
a[href="#cta-single"],a[href="#cta-archive"]{
    width: 100% !important;
}
/*buttons*/
.woocommerce-Button,.woocommerce-button{
    background: #222222 !important;
    color: #ffffff !important;
    border-radius: var(--border-radius);
    -moz-border-radius: var(--border-radius);
    -webkit-border-radius: var(--border-radius);
}
.woocommerce-Button:hover,.woocommerce-button:hover{
    background: #3F4047 !important;
}
/*archive pagination*/
.page-numbers li{
    border-radius: 4px !important;
    margin: 5px !important;
}
/*archive marchi*/
#marchi img{
    border-radius: 4px;
    border:1px solid #d0d5dd !important;
    padding: 5px;
    box-shadow: -3px 7px 15px 0px rgba(0,0,0,0.1);
    height: 60px;
}
/*login/registrati download datasheet**********************/
.aa-datasheet-login,
.aa-datasheet-register {
    margin-top: 10px;
    color: var(--color-red, #c00);
    text-decoration: underline;
    font-weight: 600;
}

.aa-datasheet-register{
    margin-left: 10px;
}

